diff -Nru cups-filters-1.0.18/debian/changelog cups-filters-1.0.18/debian/changelog
--- cups-filters-1.0.18/debian/changelog	2012-05-16 11:45:15.000000000 +0200
+++ cups-filters-1.0.18/debian/changelog	2012-05-18 15:03:23.000000000 +0200
@@ -1,3 +1,12 @@
+cups-filters (1.0.18-2) unstable; urgency=low
+
+  [ Fabian Greffrath ]
+  * Add patch to avoid trimming the results of FcFontSort(), as this may
+    miss some reasonable candidates under certain circumstances. BTW,
+    fix passing a non-pointer as a pointer to "result". (Closes: #670055)
+
+ -- Didier Raboud <odyx@debian.org>  Fri, 18 May 2012 15:01:54 +0200
+
 cups-filters (1.0.18-1) unstable; urgency=low
 
   * New upstream release
diff -Nru cups-filters-1.0.18/debian/patches/fcfontsort-no-trim.patch cups-filters-1.0.18/debian/patches/fcfontsort-no-trim.patch
--- cups-filters-1.0.18/debian/patches/fcfontsort-no-trim.patch	1970-01-01 01:00:00.000000000 +0100
+++ cups-filters-1.0.18/debian/patches/fcfontsort-no-trim.patch	2012-05-18 15:00:09.000000000 +0200
@@ -0,0 +1,26 @@
+Description: Do not trim the results of FcFontSort(),
+ as this may miss some reasonable candidates under certain circumstances.
+ BTW, fix passing a non-pointer as a pointer to "result".
+Author: Fabian Greffrath <fabian+debian@greffrath.com>
+Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=670055
+
+--- cups-filters-1.0.16.orig/filter/texttopdf.c
++++ cups-filters-1.0.16/filter/texttopdf.c
+@@ -51,6 +51,7 @@ EMB_PARAMS *font_load(const char *font)
+   FcPattern *pattern;
+   FcFontSet *candidates;
+   FcChar8   *fontname = NULL;
++  FcResult   result;
+   int i;
+ 
+   if ( (font[0]=='/')||(font[0]=='.') ) {
+@@ -64,7 +65,7 @@ EMB_PARAMS *font_load(const char *font)
+     FcDefaultSubstitute (pattern);
+ 
+     /* Receive a sorted list of fonts matching our pattern */
+-    candidates = FcFontSort (0, pattern, FcTrue, 0, 0);
++    candidates = FcFontSort (0, pattern, FcFalse, 0, &result);
+     FcPatternDestroy (pattern);
+ 
+     /* In the list of fonts returned by FcFontSort()
+
diff -Nru cups-filters-1.0.18/debian/patches/series cups-filters-1.0.18/debian/patches/series
--- cups-filters-1.0.18/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ cups-filters-1.0.18/debian/patches/series	2012-05-18 15:00:09.000000000 +0200
@@ -0,0 +1 @@
+fcfontsort-no-trim.patch
